## videojs~videojs.TextTrack.videojs.TextTrack

A representation of a single `TextTrack`.

## Constructor

#### new videojs.TextTrack(options)
`tracks/text-track.js`, `line 115`

  Create an instance of this class.

  ##### Parameters:

  Name | Type | Default | Description
  --- | --- | --- | ---
  `options` | Object | {} | Object of option names and values ###### Properties
  Name | Type | Attributes | Default | Description
  --- | --- | --- | --- | ---
  `tech` | Tech |  |  | A reference to the tech that owns this TextTrack.
  `kind` | TextTrack~Kind | <optional> | 'subtitles' | A valid text track kind.
  `mode` | TextTrack~Mode | <optional> | 'disabled' | A valid text track mode.
  `id` | string | <optional> | 'vjs_track_' + Guid.newGUID() | A unique id for this TextTrack.
  `label` | string | <optional> | '' | The menu label for this track.
  `language` | string | <optional> | '' | A valid two character language code.
  `srclang` | string | <optional> | '' | A valid two character language code. An alternative, but deprioritized vesion of `options.language`
  `src` | string | <optional> |  | A url to TextTrack cues.
  `default` | boolean | <optional> |  | If this track should default to on or off.

  See:

    - Spec

### Extends

- Track